org.wildfly.swarm.config.io.worker

## Class OutboundBindAddress<T extends OutboundBindAddress<T>>

- java.lang.Object
- - org.wildfly.swarm.config.io.worker.OutboundBindAddress<T>

-     public class OutboundBindAddress<T extends OutboundBindAddress<T>>
      extends Object

  Defines a bind address to use when connecting to the specified destination

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundBindAddress(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `bindAddress()` The address to bind to when the destination address matches
    `T` | `bindAddress(String value)` The address to bind to when the destination address matches
    `Integer` | `bindPort()` The port number to bind to when the destination address matches
    `T` | `bindPort(Integer value)` The port number to bind to when the destination address matches
    `String` | `getKey()`
    `String` | `match()` The destination address range to match
    `T` | `match(String value)` The destination address range to match
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundBindAddress

          public OutboundBindAddress(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### bindAddress

          public String bindAddress()

      The address to bind to when the destination address matches

    - #### bindAddress

          public T bindAddress(String value)

      The address to bind to when the destination address matches

    - #### bindPort

          public Integer bindPort()

      The port number to bind to when the destination address matches

    - #### bindPort

          public T bindPort(Integer value)

      The port number to bind to when the destination address matches

    - #### match

          public String match()

      The destination address range to match

    - #### match

          public T match(String value)

      The destination address range to match

Copyright © 2018 JBoss by Red Hat. All rights reserved.